//==============================================================================
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//==============================================================================

//==============================================================================
// File: cIdentifiable.cpp
// Project: Shooting Star
// Author: Jarmo Hekkanen <jarski@2ndpoint.fi>
// Copyrights (c) 2003 2ndPoint ry (www.2ndpoint.fi)
//------------------------------------------------------------------------------
// Revision history
//==============================================================================

//==============================================================================
// Includes
#include "cIdentifiable.hpp"

#include "Debug.hpp"
//------------------------------------------------------------------------------
// Namespaces
using namespace ShootingStar;
//==============================================================================

//==============================================================================
//! Constructor
//------------------------------------------------------------------------------
cIdentifiable::cIdentifiable (void)
{
	static ObjectID freeID = 1;
	mID = freeID++;
};
//==============================================================================

//==============================================================================
//! Destructor
//------------------------------------------------------------------------------
cIdentifiable::~cIdentifiable (void)
{
	// Empty
};
//==============================================================================

//==============================================================================
/*cIdentifiable::cIdentifiable (cIdentifiable &copy)
{
	dbgError () << "cIdentifiable: Copy constructor called!!!" << endl;
	
	// This should never happen
	dbg::sentinel (DBG_HERE);
};*/
//==============================================================================

//==============================================================================
// EOF
//==============================================================================
