//==============================================================================
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Library General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//==============================================================================

//==============================================================================
// File: cBurningEffect.hpp
// Project: Shooting Star
// Author: 
// Copyrights (c) 2003 2ndPoint ry (www.2ndpoint.fi)
//------------------------------------------------------------------------------
// Revision history
//==============================================================================
#ifndef cBurningEffect_hpp
#define cBurningEffect_hpp
//==============================================================================
// Includes
#include "cParticleSystem.hpp"
#include "cPointer.hpp"
#include "cHurtable.hpp"
//------------------------------------------------------------------------------
// Namespaces
using namespace std;
namespace ShootingStar {
//------------------------------------------------------------------------------
// Forward declarations
//==============================================================================
	
//! BurningEffect
class cBurningEffect : public cParticleSystem
{
	// Constructor & Destructor
	public:
		//! Constructor
		cBurningEffect (cHurtable *pVictim);
		//! Destructor
		~cBurningEffect (void);
	
	// Public methods
	public:
		virtual void Update (Uint32 deltaTime);
		void AddTime (Uint32 time) { mTTL += time; };
	
	// Member variables
	private:
		Uint32 mTTL;
		Uint32 mCounter;
		cPointer<cHurtable> mVictim;
		Uint32 mSound;
		int mChannel;
};

//==============================================================================
}		// End of the ShootingStar namespace
#endif // cBurningEffect_hpp
//------------------------------------------------------------------------------
// EOF
//==============================================================================
